/*
 *
 *  Copyright (C) 1996-2001, OFFIS
 *
 *  This software and supporting documentation were developed by
 *
 *    Kuratorium OFFIS e.V.
 *    Healthcare Information and Communication Systems
 *    Escherweg 2
 *    D-26121 Oldenburg, Germany
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND OFFIS MAKES NO  WARRANTY
 *  REGARDING  THE  SOFTWARE,  ITS  PERFORMANCE,  ITS  MERCHANTABILITY  OR
 *  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES  OR
 *  ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND
 *  PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Module:  wlistctn
 *
 *  Author:  Andrew Hewett
 *
 *  Purpose: Service Class Executive (SCE) - Worklist Find Service Class Provider
 *
 *  Last Update:      $Author: meichel $
 *  Update Date:      $Date: 2001/10/12 12:02:29 $
 *  Source File:      $Source: /share/dicom/cvs-depot/dcmtk/wlistctn/apps/scefind.h,v $
 *  CVS/RCS Revision: $Revision: 1.6 $
 *  Status:           $State: Exp $
 *
 *  CVS/RCS Log at end of file
 *
 */

#ifndef SCE_FIND_H
#define SCE_FIND_H

#include "osconfig.h"    /* make sure OS specific configuration is included first */

OFCondition
SCE_findSCP(T_ASC_Association * assoc, T_DIMSE_C_FindRQ * request,
	T_ASC_PresentationContextID presID,
	WorklistDB &dbHandle);

#endif

/*
** CVS Log
** $Log: scefind.h,v $
** Revision 1.6  2001/10/12 12:02:29  meichel
** Adapted wlistctn to OFCondition based dcmnet module (supports strict mode).
**
** Revision 1.5  2001/06/01 15:51:44  meichel
** Updated copyright header
**
** Revision 1.4  2000/03/08 16:37:45  meichel
** Updated copyright header.
**
** Revision 1.3  1999/04/26 13:00:10  meichel
** Updated copyright headers in module wlistctn and makefile dependencies.
**
** Revision 1.2  1996/08/29 16:16:09  hewett
** Corrected copyright header.
**
** Revision 1.1.1.1  1996/04/26 14:16:01  hewett
** Initial Import.
**
*/
